### Virtual Method

# Gtk Application save_state

unstable since: 4.24

#### Declaration [src]

    gboolean
    save_state (
      GtkApplication* application,
      GVariantDict* state
    )

#### Description [src]

Class closure for the `GtkApplication::save-state` signal.

Available since: 4.24

#### Parameters

`state`

  Type: `GVariantDict`

  A dictionary to populate with application state.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

True to stop further handlers from running.